HP Deskjet 2540 installation problem{SOLVED}

Forum rules
Before you post please read this
oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

HP Deskjet 2540 installation problem{SOLVED}

Post by oldernewB » Sun Sep 09, 2018 3:40 pm

I have read some of the posts for other hp problems but none seem quite the same.
It appears the installation of the HP set up files went ok, since I have an hp icon showing at the bottom of my screen however i am getting the following messages.

error: No PPD found for model deskjet_2540 using old algorithm.
error: No appropriate print PPD file found for model deskjet_2540_series

I don't like to ask but I've spent 3 hours on this and really need to print a text file for tomorrow. Can anyone walk me through a solution please?
Last edited by oldernewB on Fri Sep 14, 2018 9:48 pm, edited 1 time in total.

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Sun Sep 09, 2018 4:29 pm

PS it is a deskjet HP 2542 and i had a fresh install of linux mint 19 Tara

pdc_2
Level 8
Level 8
Posts: 2419
Joined: Mon May 11, 2009 1:21 am

Re: HP Deskjet 2540 installation problem

Post by pdc_2 » Sun Sep 09, 2018 5:12 pm

Hi; welcome to the Mint forums

if you open a terminal; (hold down 3 keys: control and alt and t .. like a piano chord .......)

then type or paste

Code: Select all

hp-setup
and that should get hplip to set things up: if you already have one icon; it may add another; maybe delete what you already have; if it is not working;

if what that text prompts; does not produce a working printer; if you do

Code: Select all

hp-check
and tell us the results of that please

HP says the 2540 needs 3.13.8 so any recent distro has at least that installed .. so all fine there .. (and no plugin needed for this printer)

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Sun Sep 09, 2018 6:15 pm

So it opens the HP device manager and that goes through a set up and says your device has been successfully configured on the wireless network, however in the terminal this happens
qt5ct: using qt5ct plugin
qt5ct: D-Bus system tray: no

error: Unable to find hp-upgrade --notify on PATH.
GET /IoMgmt/Adapters HTTP/1.1
***************************************************** then it repeats the following about 5 times and seems to hang without a prompt
Host: localhost
User-Agent: hplip/3.0
Content-Type: text/xml; charset=utf-8
Content-Length: 0

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Sun Sep 09, 2018 6:18 pm

oh maybe it wasnt finished coz this came up after a while:

error: Unable to find hp-toolbox on PATH.
Searching on USB bus...
GET /IoMgmt/Adapters HTTP/1.1
Host: localhost
User-Agent: hplip/3.0
Content-Type: text/xml; charset=utf-8
Content-Length: 0


error: Wifi Adapter turn ON request Failed. ResponseCode=500 AdaptorId=/IoMgmt/Adapters/Wifi0 AdaptorName=Wifi0

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Sun Sep 09, 2018 6:27 pm

after hp-check there are pages of stuff (doubt ya want them all) but at bottom this appears
Missing Required Dependencies
-----------------------------
error: 'libcups2' package is missing/incompatible
error: 'libdbus-1-dev' package is missing/incompatible
error: 'libjpeg8-dev' package is missing/incompatible
error: 'libcups2-dev' package is missing/incompatible
error: 'cups-bsd' package is missing/incompatible
error: 'cups-client' package is missing/incompatible
error: 'libcupsimage2-dev' package is missing/incompatible
error: 'libusb-1.0.0-dev' package is missing/incompatible
error: 'libsane-dev' package is missing/incompatible
error: 'libsnmp-dev' package is missing/incompatible
error: 'snmp-mibs-downloader' package is missing/incompatible
error: 'openssl' package is missing/incompatible
error: 'python3-pyqt4' package is missing/incompatible
error: 'python3-dev' package is missing/incompatible
error: 'libtool' package is missing/incompatible
error: 'libtool-bin' package is missing/incompatible
error: 'build-essential' package is missing/incompatible

Missing Optional Dependencies
-----------------------------
error: 'python3-notify2' package is missing/incompatible
error: 'mate-notification-daemon' package is missing/incompatible
error: 'python3-dbus.mainloop.qt' package is missing/incompatible

Total Errors: 15
Total Warnings: 0

pdc_2
Level 8
Level 8
Posts: 2419
Joined: Mon May 11, 2009 1:21 am

Re: HP Deskjet 2540 installation problem

Post by pdc_2 » Sun Sep 09, 2018 6:44 pm

gosh; it's very unhappy

from this thread https://forum.peppermintos.com/index.php?topic=6674.0

they suggested

Code: Select all

sudo apt-get install python-dev libcups2-dev cups-bsd cups-client libtool libtool-bin libcupsimage2-dev libjpeg-dev openssl libsnmp-dev snmp-mibs-downloader python-qt4-dbus gtk2-engines-pixbuf python-qt4 libsane-dev python3-pyqt4 gtk2-engines-pixbuf python3-dev avahi-utils gtk2-engines-pixbuf xsane xsane-common python3-dbus.mainloop.qt python3-notify2  libusb-1.0.0-dev libjpeg8-dev
then

Code: Select all

hp-check
then let us know what that gives but next step suggested was

Code: Select all

sudo apt-get install hplip-gui

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Sun Sep 09, 2018 7:49 pm

ok so got up again coz on my mind and did the first part- looked good then hp-check again lots of pages but I guess its the errors we are interested in so here we go
Status Types:
OK
MISSING - Missing Dependency or Permission or Plug-in
INCOMPAT - Incompatible dependency-version or Plugin-version

warning: 22-19 version is not supported. Using 22-18.2 versions dependencies to verify and install... Further down came...
HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.17.10
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for 22 distro 19 version
Then
------------------------
| External Dependencies |
-------------------------

error: cups CUPS - Common Unix Printing System REQUIRED 1.1 2.2.7 MISSING 'CUPS may not be installed or not running'
gs GhostScript - PostScript and PDF language interpreter and previewer REQUIRED 7.05 9.22 OK -
xsane xsane - Graphical scanner frontend for SANE OPTIONAL 0.9 0.999 OK -
scanimage scanimage - Shell scanning program OPTIONAL 1.0 1.0.27 OK -
error: dbus DBus - Message bus system REQUIRED - 1.12.2 MISSING 'DBUS may not be installed or not running'
then:
--------------
| COMPILEDEP |
--------------

libtool libtool - Library building support services REQUIRED - 2.4.6 OK -
error: gcc gcc - GNU Project C and C++ Compiler REQUIRED - 7.3.0 MISSING 'gcc needs to be installed'
make make - GNU make utility to maintain groups of programs REQUIRED 3.0 4.1 OK


Missing Required Dependencies
-----------------------------
error: 'libcups2' package is missing/incompatible
error: 'libdbus-1-dev' package is missing/incompatible
error: 'build-essential' package is missing/incompatible

Missing Optional Dependencies
-----------------------------
None


Total Errors: 3
Total Warnings: 0


Done.

really appreciate this help gonna try to get some sleep now but ill check in morning. Thank you.

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Sun Sep 09, 2018 7:53 pm

This was result after final command and doing another hp-check
----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
error: 'libcups2' package is missing/incompatible
error: 'libdbus-1-dev' package is missing/incompatible
error: 'build-essential' package is missing/incompatible

Missing Optional Dependencies
-----------------------------
None


Total Errors: 3
Total Warnings: 0

pdc_2
Level 8
Level 8
Posts: 2419
Joined: Mon May 11, 2009 1:21 am

Re: HP Deskjet 2540 installation problem

Post by pdc_2 » Sun Sep 09, 2018 8:52 pm

gosh; still missing stuff

Code: Select all

sudo apt install libcups2 libdbus-1-dev build-essential
I did cups was reported as a problem in the last but one post you did; but it seems like cups is ok now?

If you do the above; then do

Code: Select all

hp-check
again; if it is happy, do

Code: Select all

hp-setup
and it should set up a working icon; surely ...

(delete any existing 2540 in your PRINTERS folder before you do that final hp-setup, lest you end up with one not-working icon from earlier; that might confuse things ..)

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Mon Sep 10, 2018 2:17 am

Ok this sounds weird but I don't appear to have a folder called printers, from which I can delete anything?

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Mon Sep 10, 2018 2:21 am

this is what i got before the last hp-setup
----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
error: 'libcups2' package is missing/incompatible

Missing Optional Dependencies
-----------------------------
None


Total Errors: 1
Total Warnings: 0

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Mon Sep 10, 2018 2:24 am

So i tried hp-setup and it began then i got :
qt5ct: using qt5ct plugin
Searching... (bus=net, timeout=5, ttl=4, search=(None) desc=0, method=slp)
error: No devices found on bus: net
error: HPLIP cannot detect printers in your network. This may be due to existing firewall settings blocking the required ports.
When you are in a trusted network environment, you may open the ports for network services like mdns and slp in the firewall. For detailed steps follow the link.
http://hplipopensource.com/node/374

DAMIEN1307
Level 8
Level 8
Posts: 2197
Joined: Tue Feb 21, 2017 8:13 pm
Location: Alamogordo, New Mexico, USA

Re: HP Deskjet 2540 installation problem

Post by DAMIEN1307 » Mon Sep 10, 2018 2:38 am

i have supplied a link below from one of our forum members that has helped me set up HP printers on friends computers that were otherwise having problems getting them installed...hope it might be of some little help for you...DAMIEN

https://sites.google.com/site/easylinuxtipsproject/14
ORDO AB CHAO

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Mon Sep 10, 2018 2:44 am

The thing which i find really odd is before i did the fresh mint installation about a week ago the printer had been working. Do you reckon I've got a dodgy ISO?
I'd settle for it working via a usb cable at the moment.

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Mon Sep 10, 2018 2:45 am

Thanks DAMIEN i'll take a look.

DAMIEN1307
Level 8
Level 8
Posts: 2197
Joined: Tue Feb 21, 2017 8:13 pm
Location: Alamogordo, New Mexico, USA

Re: HP Deskjet 2540 installation problem

Post by DAMIEN1307 » Mon Sep 10, 2018 2:52 am

that was the same situation for those friends of mine...all printers had previously worked...new install of mint 19...sent me running to pjotrs easy linux site in that link and i followed it very carefully...it worked all three computers i used it on...hope it helps you...DAMIEN
ORDO AB CHAO

pdc_2
Level 8
Level 8
Posts: 2419
Joined: Mon May 11, 2009 1:21 am

Re: HP Deskjet 2540 installation problem

Post by pdc_2 » Mon Sep 10, 2018 3:22 am

I think I mentioned that in post #7 above

Code: Select all

sudo apt install hplip-gui

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Mon Sep 10, 2018 4:13 am

Still no luck. I have missed my deadline now, so it isn't so urgent. Just have to go make my excuses then I'll be back for more suggestion :-)
I guess a Fresh install may do it? but will need to get a good ISO and I've never understood how to do the checksum bit. So if anyone haas a suggestion I'll be all ears in about an hour. Thanks for all of your help so far. I felt it was getting there with suggestions pdc was making but still not sorted. Anyhow back in an hour
thanks Richard.

oldernewB
Level 1
Level 1
Posts: 14
Joined: Sun Sep 09, 2018 3:34 pm
Location: Lancashire .UK

Re: HP Deskjet 2540 installation problem

Post by oldernewB » Fri Sep 14, 2018 4:14 pm

Perhaps not the quickest solution but I bought a CD of Mint 19 MATE from Linux mint shop and did a fresh install. Printer works without even having to do all the HP stuff. just opened my file clicked print and the HP showed, selected and prints. I don't keep much on my internal Hard Drive so wasn't a big deal the few files I needed I saved to a USB external drive, then copied them back after new install. So all is well :-) Thanks to everyone for their suggestions.
:D

Post Reply

Return to “Printers & Scanners”